at.chipkarte.client.abs.soap

## Class FilterKriterien

- Object
- - at.chipkarte.client.abs.soap.FilterKriterien

-     public class FilterKriterien
      extends Object

  Enthält die Daten zur Einschränkung der Datensätze im Zuge der Funktion `getStatusBewilligungsAnfragen`.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterKriterien()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnfrageStatus()` Status der Bewilligungsanfrage.
    `String` | `getDatumBis()` Enddatum für den Suchzeitraum von gestellten Anfragen.
    `String` | `getDatumVon()` Beginndatum für den Suchzeitraum von gestellten Anfragen.
    `void` | `setAnfrageStatus(String anfrageStatus)`
    `void` | `setDatumBis(String datumBis)`
    `void` | `setDatumVon(String datumVon)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterKriterien

          public FilterKriterien()

  - ### Method Detail

    - #### getAnfrageStatus

          public String getAnfrageStatus()

      Status der Bewilligungsanfrage.
      Angabe: Kann. Ist der Parameter nicht angegeben, dann wird nach allen Status einer Anfrage selektiert. Die möglichen Werte sind in `AnfrageStatus` definiert.
      Format: maximal 11-stellig
      Returns:
        Status der Bewilligungsanfrage.

    - #### setAnfrageStatus

          public void setAnfrageStatus(String anfrageStatus)

    - #### getDatumBis

          public String getDatumBis()

      Enddatum für den Suchzeitraum von gestellten Anfragen.
      Angabe: Kann.
      Format: TT.MM.JJJJ
      Zulässiger Wertebereich: DatumVon <= DatumBis
      Returns:
        Enddatum für den Suchzeitraum von gestellten Anfragen.

    - #### setDatumBis

          public void setDatumBis(String datumBis)

    - #### getDatumVon

          public String getDatumVon()

      Beginndatum für den Suchzeitraum von gestellten Anfragen.
      Angabe: Kann.
      Format: TT.MM.JJJJ
      Zulässiger Wertebereich: DatumVon <= DatumBis
      Returns:
        Beginndatum für den Suchzeitraum von gestellten Anfragen.

    - #### setDatumVon

          public void setDatumVon(String datumVon)